# DataExchange
TKXSBase
Transfer

# Transfer_TransientMapper Class Reference

`#include <Transfer_TransientMapper.hxx>`

Inheritance diagram for Transfer_TransientMapper:

[legend]

## Public Member Functions

Standard_EXPORT | Transfer_TransientMapper (const Handle(Standard_Transient)&akey)
Standard_EXPORT const Handle_Standard_Transient & | Value () const
Standard_EXPORT Standard_Boolean | Equates (const Handle(Transfer_Finder)&other) const
| Specific testof equallity : to be defined by each sub-class, must be False if Finders have not the same true Type, else their contents must be compared .
virtual Standard_EXPORT Handle_Standard_Type | ValueType () const
| Returns the Type of the Value. By default, returns the DynamicType of <me>, but can be redefined .
virtual Standard_EXPORT Standard_CString | ValueTypeName () const
| Returns the name of the Type of the Value. Default is name of ValueType, unless it is for a non-handled object .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Standard_Transient | theval

## Constructor & Destructor Documentation

Standard_EXPORT Transfer_TransientMapper::Transfer_TransientMapper | ( | const Handle(Standard_Transient)& | akey | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean Transfer_TransientMapper::Equates | ( | const Handle(Transfer_Finder)& | other | ) | const`[virtual]`

| Implements Transfer_Finder.

Standard_EXPORT const Transfer_TransientMapper::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Transfer_Finder.

Standard_EXPORT const Handle_Standard_Transient& Transfer_TransientMapper::Value | ( |  | ) | const

virtual Standard_EXPORT Handle_Standard_Type Transfer_TransientMapper::ValueType | ( |  | ) | const`[virtual]`

| Reimplemented from Transfer_Finder.

virtual Standard_EXPORT Standard_CString Transfer_TransientMapper::ValueTypeName | ( |  | ) | const`[virtual]`

| Reimplemented from Transfer_Finder.

## Field Documentation

Handle_Standard_Transient Transfer_TransientMapper::theval `[private]`

The documentation for this class was generated from the following file:

- Transfer_TransientMapper.hxx